
$files1 = `/bin/ls *.gle`;
$files2 = `/bin/ls *.afm`;

$files = "$files1 $files2";
$files =~ s/\.gle//g;
$files =~ s/\.afm//g;

@LIST = split(/\s+/, $files);		
		
foreach $f (@LIST) {
	$FONT{$f} = 1;
}

open(IN, "font.dat") || die "Can't open font.dat";
while ($line = <IN>) {
	chomp($line);
	if (!($line =~ /^\s*\!/)) {
		if ($line =~ /^([^\s]+)\s/) {
			$HAS{$1} = 1;
		}
	}
}
close(IN);

foreach $f (sort keys %FONT) {
	if ($HAS{$f} != 1) {
		print "Missing: $f\n";
	}
}

@AFM = split(/\s+/, $files2);

$count = 0;
foreach $afm (@AFM) {
	$file = $afm;
	$file =~ s/\.afm//g;
	if (-f "$file.gle") {
		print "$afm [GLE]\n";
	} else {
		print "$afm\n";
	}
	$count++;
}

print "Total: $count\n";
