#
# global makefile include config.i for gle
# this sets options common to all compilers
#
#  this sets the global version number for all programs
#
MODULE_NAME		=gle40
BASE_NAME		=GLE
MAJOR_VERSION_NUMBER 	=4
MINOR_VERSION_NUMBER 	=2
BUILD_NUMBER    	=0
VERSION_NUMBER  	=$(MAJOR_VERSION_NUMBER).$(MINOR_VERSION_NUMBER)
VERSION_INFO		=-DGLEVN="\"$(VERSION_NUMBER).$(BUILD_NUMBER)\""
TAG 			=$(MODULE_NAME)_R_$(MAJOR_VERSION_NUMBER)_$(MINOR_VERSION_NUMBER)_$(BUILD_NUMBER)
GLE_SRC_DIRS            =src/gle src/makefmt src/fbuild src/manip src/gui

#
# -- optional packages (ignored if one uses ./configure)
#

HAVE_LIBTIFF = 1
# libtiff at www.libtiff.org is needed for inclusion of
# tiff files.  if you dont have it comment out the line above
# if you have it you must set the environment variable
# LIBTIFFDIR to point to the location of libtiff

HAVE_LIBPNG = 1
# libpng at www.libpng.org is needed for inclusion of
# PNG files.  if you dont have it comment out the line above
# you will also need zlib
# if you have it you must set the environment variable
# LIBPNGDIR to point to the location of libpng
# ZLIBDIR to point to the location of zlib

# For JPEG and GIF images, no extra libs are required!
