
if ($ENV{"RUNBUILD"} == 1) {
	$gle = "../../build/bin/gle";
} else {
	$gle = "gle";
}

open(IN, "Fonts.lis");
while ($line = <IN>) {
	chop($line);
	if ($line =~ /^[0-9]+\s+(\S+)\s+(.+)$/) {
		$id = $1; $name = $2;
		if (!(-f "$id.pdf")) {
			open(OUT, ">$id.gle");
			print OUT "size 7.75 7\n";
			print OUT "include \"font-table.gle\"\n";
			print OUT "\@show_table \"$name\" \"$id\"\n";
			close(OUT);
			system("$gle -d pdf $id.gle");
		}
	}
}
close(IN);
