

sub try_sel {
	my ($path, $file) = @_;
	my ($ok, $nok, $pos);
	$ok = 0;
	foreach $pos (@SEL) {
		if (eval($pos)) {
			$ok = 1;
		}
	}
	$nok = 0;
	foreach $pos (@IGN) {
		if (eval($pos)) {
			$nok = 1;
		}
	}
	$path =~ s/^\.\///;
	if (($ok == 1) || ($nok == 1)) {
		if ($nok != 1) {
			print "$path\n";
		}
	} else {
		print STDERR "What about: '$path'\n";
	}
}

sub recursive_search {
	my ($dir) = @_;
	print STDERR "Directory: $dir\n";
	my (@FILES, $handle, $file, $path);
	opendir($handle, $dir);
	@FILES = readdir($handle);
	closedir($handle);
	foreach $file (@FILES) {
		if (!($file =~ /^\.svn$/) && !($file =~ /^CVS$/) && !($file =~ /^\.cvsignore$/) && !($file =~ /^\.+$/) && !($file =~ /^\.gle$/)) {
			$path = $dir . "/" . $file;
			if (-d $path) {
				recursive_search($path);
			} else {
				try_sel($path, $file);
			}
		}
	}
}

sub dir_search {
	my ($dir) = @_;
	print STDERR "Directory: $dir\n";
	my (@FILES, $handle, $file, $path);
	opendir($handle, $dir);
	@FILES = readdir($handle);
	closedir($handle);
	foreach $file (@FILES) {
		if (!($file =~ /^\.svn$/) && !($file =~ /^CVS$/) && !($file =~ /^\.cvsignore$/) && !($file =~ /^\.+$/)) {
			$path = $dir . "/" . $file;
			if (!(-d $path)) {
				try_sel($path, $file);
			}
		}
	}
}


sub update_regex {
	my ($re) = @_;
	$re =~ s/\./\\./g;
	$re =~ s/\*/\.*/g;
	return "\$file =~ /^$re\$/";
}

$file = $ARGV[0];
open(IN, $file) || die "Can't open '$file'";
while ($line = <IN>) {
	chomp($line);
	if (!($line =~ /^\s*$/) && !($line =~ /^\s*!/)) {
		($dir, $select, $ignore) = split(/\s*,\s*/, $line);
		$select =~ s/\s+$//;
		$ignore =~ s/\s+$//;
		@SEL = split(/\s*;\s*/, $select);
		for ($i = 0; $i <= $#SEL; $i++) {
			$SEL[$i] = update_regex($SEL[$i]);
		}
		@IGN = split(/\s*;\s*/, $ignore);
		for ($i = 0; $i <= $#IGN; $i++) {
			$IGN[$i] = update_regex($IGN[$i]);
		}
		if ($dir =~ /^\$(.+)$/) {
			$dir = $1;
			dir_search($dir);
		} else {
			recursive_search($dir);
		}
	}
}
close(IN);
