
$make = $ARGV[0];

open(IN, "configure.ac") || die "Can't open configure.ac";
@LINES = <IN>;
close(IN);

$found = 0;
open(OUT, ">configure.ac") || die "Can't write to configure.ac";
for ($i = 0; $i <= $#LINES; $i++) {
	$line = $LINES[$i];
	chomp($line);
	if ($found == 0) {
		if ($line =~ /^GLE_SNAPSHOT\=/) {
			$found = 1;			
			if ($make == 1) {
				$date = `date +\%m\%d\%y`;
				$date =~ s/[\n\r]+$//;
				if ($ARGV[1] eq "") {
					$snap = "S$date";
				} else {
					$snap = $ARGV[1];
				}
				print OUT "GLE_SNAPSHOT=\"-$snap\"\n";
				print OUT "AC_DEFINE_UNQUOTED(GLE_SNAPSHOT, \"\$GLE_SNAPSHOT\")\n";
				print "Making snapshot: $snap\n";
			} else {
				print OUT "GLE_SNAPSHOT=\"\"\n";
				print "Clearing snapshot\n";
			}
			if ($LINES[$i+1] =~ /AC_DEFINE_UNQUOTED/) {
				$i++;
			}			
		} else {
			print OUT "$line\n";
		}
	} else {
		print OUT "$line\n";
	}
}
close(OUT);

system("autoconf");
